## geomview 1.6.1.9

=== Makefile ===
GEOM=.
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makedefs.SUBDIRS

all:	prep

all ${TARGETS} ${LIB} ${COMMONLIB} ${OBJS}:
	@for d in ${DIRS_THIS_MACH}; do (${CDd}; ${MAKE} SITE=${SITE} $@); done

rm_libs rm_depend:
	@for d in ${DIRS}; do (${CDd}; ${MAKE} SITE=${SITE} $@); done

install:	prep  demand_GEOMROOT
	@for d in ${DIRS_THIS_MACH}; do (${CDd}; ${MAKE} SITE=${SITE} $@); done

installh:
	@for d in ${DIRS_THIS_MACH}; do (${CDd}; ${MAKE} SITE=${SITE} $@); done

clobber:	clean rm_libs rm_depend

depend:
	@if [ -d O.${MACHTYPE} ] ; then				\
	  CC=${CC} ${MKDEP} -f O.${MACHTYPE}/${MKDEPFILE}	\
		-P ../ ${CFLAGS} ${SRCS} ;			\
	fi
	@for d in ${DIRS_NO_OBJ}; do (${CDd}; ${MAKE} SITE=${SITE} $@); done

clean:
	-rm -f ${DIRT}
	@for d in ${DIRS}; do (${CDd}; ${MAKE} SITE=${SITE} $@); done

distclean:
	-rm -f ${DIRT} ${DISTDIRT}
	@for d in ${DIRS}; do (${CDd}; ${MAKE} SITE=${SITE} $@); done

OTHER_DISTFILES_CMD = (echo DISTLIST.all; cat DATAFILES)

# "make prep" ensures that all the directories we'll need to write into exist
prep:
	@mkdir lib lib/${MACHTYPE} \
		bin bin/${MACHTYPE} \
		modules modules/${MACHTYPE} 2>&- || :

# Don't mess with the FORMS libraries.   Installers needing FORMS-based
# programs must fetch the XForms library themselves.
#	@(cd src/lib/forms; ${MAKE} all)

# Note: target RFILES takes several minutes to build; this affects
#   both DISTLIST and all.tar.Z


# DISTLIST:	RFILES
# all.tar.Z:	DISTLIST

DISTLIST.sgi:	_always
	-/bin/rm -f $@
	( GEOM=`pwd` ; export GEOM ; $$GEOM/tools/distlist O.sgi ) > $@
	${GEOM}/tools/manlist < $@ >> $@

DISTLIST.next:	_always
	-/bin/rm -f $@
	( GEOM=`pwd` ; export GEOM ; $$GEOM/tools/distlist O.next ) > $@
	${GEOM}/tools/manlist < $@ >> $@

DISTLIST.x11:	_always
	-/bin/rm -f $@
	( GEOM=`pwd` ; export GEOM ; $$GEOM/tools/distlist O.sun4 O.linux O.x11 ) \
		| sed -e 's:Geomview/INSTALL$$:&.x11:' \
		      -e 's:Geomview/README$$:&.x11:' \
		      -e 's:DISTLIST.all:DISTLIST.x11:' > $@
	${GEOM}/tools/manlist < $@ >> $@

DISTLIST.all:	_always
	-/bin/rm -f $@
	( GEOM=`pwd` ; export GEOM ; $$GEOM/tools/distlist ) > $@
	${GEOM}/tools/manlist < $@ >> $@

all.tar.Z:	_always
	-/bin/rm -f $@
	-${GEOM}/tools/dist-exceptions DISTLIST.all | gnutar -c -T - -f - | \
	    ${GEOM}/tools/writabletar | compress > $@

all.tar.gz:	_always
	-/bin/rm -f $@
	-${GEOM}/tools/dist-exceptions DISTLIST.all | gnutar -c -T - -f - | \
	    ${GEOM}/tools/writabletar | gzip > $@

x11.tar.Z:	_always
	-/bin/rm -f $@
	-( sort -u DISTLIST.x11 | \
		egrep -v '/mg/ri/|/gl/|next/' | \
		${GEOM}/tools/dist-exceptions -m DISTLIST.x11 | \
		gnutar -c -T - -f - | \
		${GEOM}/tools/writabletar | compress > $@ )

x11.tar.gz:	_always
	-/bin/rm -f $@
	-( sort -u DISTLIST.x11 | \
		egrep -v '/mg/ri/|/gl/|next/' | \
		${GEOM}/tools/dist-exceptions -m DISTLIST.x11 | \
		gnutar -c -T - -f - | \
		${GEOM}/tools/writabletar | gzip > $@ )


### BINDISTLIST:	_BINDISTLIST
### 
### _BINDISTLIST:
### 	-/bin/rm -f BINDISTLIST || :
### 	@( cat BINFILES DATAFILES ; \
### 	   egrep '^./man' DISTLIST ) > BINDISTLIST
### 	@( GEOM=`pwd` ; export GEOM ; \
### 	  cd doc ; $$GEOM/tools/distlist -p ./doc O.sgi ) >> BINDISTLIST


tarzan: geomview-only.tar.Z mathooglrib.tar.Z geomstuff.tar.Z 4dview.tar.Z \
	eucsyms.tar.Z hinge.tar.Z trigrp.tar.Z animate.tar.Z linkmover.tar.Z \
	sweep.tar.Z warp.tar.Z flythrough.tar.Z nose.tar.Z corners.tar.Z \
	ginsu.tar.Z tackdown.tar.Z crayola.tar.Z graffiti.tar.Z \
	transformer.tar.Z geomutil.tar.Z maniview.tar.Z stereo.tar.Z

geomview.tar.Z:	_always
	${GEOM}/tools/makepackage < BINDISTLIST

geomview-only.tar.Z:	_always
	${GEOM}/tools/makepackage geomview-only < BINDISTLIST

mathooglrib.tar.Z:	_always
	${GEOM}/tools/makepackage mathooglrib < BINDISTLIST

geomstuff.tar.Z:	_always
	${GEOM}/tools/makepackage geomstuff < BINDISTLIST

4dview.tar.Z:	_always
	${GEOM}/tools/makepackage 4dview < BINDISTLIST

eucsyms.tar.Z:	_always
	${GEOM}/tools/makepackage eucsyms < BINDISTLIST

hinge.tar.Z:	_always
	${GEOM}/tools/makepackage hinge < BINDISTLIST

trigrp.tar.Z:	_always
	${GEOM}/tools/makepackage trigrp < BINDISTLIST

animate.tar.Z:	_always
	${GEOM}/tools/makepackage animate < BINDISTLIST

linkmover.tar.Z:	_always
	${GEOM}/tools/makepackage linkmover < BINDISTLIST

sweep.tar.Z:	_always
	${GEOM}/tools/makepackage sweep < BINDISTLIST

warp.tar.Z:	_always
	${GEOM}/tools/makepackage warp < BINDISTLIST

flythrough.tar.Z:	_always
	${GEOM}/tools/makepackage flythrough < BINDISTLIST

nose.tar.Z:	_always
	${GEOM}/tools/makepackage nose < BINDISTLIST

corners.tar.Z:	_always
	${GEOM}/tools/makepackage corners < BINDISTLIST

ginsu.tar.Z:	_always
	${GEOM}/tools/makepackage ginsu < BINDISTLIST

tackdown.tar.Z:	_always
	${GEOM}/tools/makepackage tackdown < BINDISTLIST

crayola.tar.Z:	_always
	${GEOM}/tools/makepackage crayola < BINDISTLIST

graffiti.tar.Z:	_always
	${GEOM}/tools/makepackage graffiti < BINDISTLIST

transformer.tar.Z:	_always
	${GEOM}/tools/makepackage transformer < BINDISTLIST

maniview.tar.Z:	_always
	${GEOM}/tools/makepackage maniview < BINDISTLIST

geomutil.tar.Z:	_always
	${GEOM}/tools/makepackage geomutil < BINDISTLIST

stellico.tar.Z: _always
	gnutar -c -h -v -Z ./data/geom/stellico/*.off \
			   ./data/geom/stellico/README -f $@

mathooglrib.next.tar.Z:	_always
	${GEOM}/tools/makepackage mathooglrib.next < NEXTDISTLIST

BINSTUFF = README CHANGES COPYING INSTALL-BINARY REGISTER geomview \
		installbin tools data doc man bin modules \
		maple mathematica

# The "case $MACHTYPE in linux) ..." below avoid shipping tcl/tk lib files
# if we're on a system where we're linking with shared tcl/tk object libraries.
# We mustn't impose our .tcl files on it in that case, lest they fail to
# match the user system's tcl/tk version.

bindist:	ahem localstuff local_geomview local_installbin
	rm -f Geomview; ln -s . Geomview
	rm -rf /tmp/tG; mkdir /tmp/tG /tmp/tG/Geomview
	ln -s . /tmp/tG/Geomview/data
	ln -s /usr/local/lib /tmp/tG/Geomview/data/tcltk
	(for f in ${BINSTUFF}; do echo Geomview/$$f; done; \
	  case "${MACHTYPE}" in \
	    linux) ;; \
	    *)	echo -C; echo /tmp/tG; \
		cd /tmp/tG/Geomview/data/tcltk; \
		for f in tk4.0/tclIndex tk4.0/*.tcl tcl7.4/*; \
		   do echo Geomview/data/tcltk/$$f; done ;; \
	  esac \
	) | gnutar -c -T - -f geomview-${MACHTYPE}.tar.gz --gzip
	rm -rf /tmp/tG; rm ./Geomview

ahem:
	@echo '***'
	@echo '*** I assume you have just run "make instprivate" in a fresh directory'
	@echo '***'

MAINDIR = /u/gcg/ngrap
LOCALSTUFF = README CHANGES COPYING INSTALL-BINARY REGISTER doc/geomview.ps installbin Makefile

README: ${MAINDIR}/README
CHANGES: ${MAINDIR}/CHANGES
COPYING: ${MAINDIR}/COPYING
INSTALL-BINARY: ${MAINDIR}/INSTALL-BINARY
doc/geomview.ps: ${MAINDIR}/doc/geomview.ps
installbin: ${MAINDIR}/installbin

${LOCALSTUFF}:
	cp $? $@

localstuff: ${LOCALSTUFF}

geomview: local_geomview

local_geomview: bin/${MACHTYPE}/geomview
	rm -f geomview
	sed -e '/^GEOMROOT=.*/s//GEOMROOT=./' \
	  -e '/^MACHTYPE=.*/s//MACHTYPE=${MACHTYPE}/' bin/${MACHTYPE}/geomview > geomview
	chmod +x geomview

local_installbin: installbin 
	rm -f installbin.new
	sed -e 's/^MACHTYPE=.*/MACHTYPE=${MACHTYPE}/' installbin > installbin.new
	rm -f installbin
	mv installbin.new installbin
	chmod +x installbin

# WARNING: "make bin.tar.Z" does not imply "make all".  But you better
#  be sure that the binary geomview is in bin/${MACHTYPE} !!

bin.tar.Z:	BINDISTLIST
	-/bin/rm -f $@
	tools/dist-geomview BINDISTLIST | gnutar -cvZ -T - -f $@

tree.tar.Z:
	find . \! -type d -print -o -name RCS -prune | \
	  eggrep -v 'O.next|O.sun4|~' | \
	  gnutar -cvZ -T - -f tree.tar.Z

tape:
	find . \! -type d -print -o -name RCS -prune | \
	  eggrep -v 'O.next|O.sun4|~' | \
	  gnutar -cv -b 126 -T - -f /dev/tape

include ${GEOM}/makefiles/Makerules.common

=== doc/Makefile ===
GEOM = ..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makerules.src

update:	warning ${OURMANS} OOGL.m.doc INSTALL.next INSTALL.sgi INSTALL.src

warning:
	@echo '' ; \
	 echo 'Warning: "make update" uses the existing Info files' ; \
	 echo '  to update the documents.  To generate new Info files' ; \
	 echo '  from geomview.tex, type "make info".' ; \
	 echo ''


oogl.5.man:	_always
	manext 'OOGL File Formats' 'Customization' | \
	  manify OOGL 'File formats for OOGL geometric objects' > $@


geomview.5.man: _always
	manext 'GCL' 'Non-Euclidean Geometry' | \
	  manify Geomview 'Geomview command language' > $@

oogl.5 geomview.5: ourmans
install: ourmans

# Alas, man pages which originate in the doc directory need special handling,
# lest "formatman" overwrite them.
ourmans:
	@mans="${OURMANS}"; mandir=${MANDIR}; \
	if nroff </dev/null >/dev/null 2>&1; then \
	    for f in $$mans ; do \
		page=`expr "$$f" : "\(.*\).man"` ; \
		dirno=`expr "$$f" : ".*\([0-9]\)"` ; \
		cdir=$$mandir/cat$$dirno; \
		mdir=$$mandir/man$$dirno; \
		test -d $$mdir || ${GEOM}/tools/insuredir $$mdir; \
		rm -f $$cdir/$$page $$mdir/$$page ; \
		echo "cp $$f $$mdir/$$page"; \
		cp $$f $$mdir/$$page; \
		echo "nroff -man $$f | col -b > $$page" ; \
		nroff -man $$f | col -b > $$page; \
		${INSTALL} -O -v -m 644 -F $$cdir $$page; \
	    done; \
	fi

OOGL.m.doc:	_always
	( ${MAKE} header_message ; \
	  manext 'Mathematica' 'Installation' ; \
	  ) > OOGL.m.doc

INSTALL.next:	_always
	( ${MAKE} header_message ; \
	  manext 'NeXT Binary Installation' 'Source Code Installation' ;\
	  manext 'SGI Binary Detail' 'NeXT Binary Installation'; \
	  ) > INSTALL.next

INSTALL.sgi:	_always
	( ${MAKE} header_message ; \
	  manext 'SGI Binary Installation' 'NeXT Binary Installation';\
	  ) > INSTALL.sgi

INSTALL.src:	_always
	( ${MAKE} header_message ; \
	  manext 'Source Code Installation' 'Obtaining' ;\
	  ) > INSTALL.src

header_message:
	@echo '' ;
	@echo 'NOTE: This file is autogenerated from the Geomview manual.';
	@echo '  For references to things not in this file, see the manual.';
	@echo '  The manual is distributed in the "doc" subdirectory.';
	@echo '';

# You'll need the pbmplus toolkit or similar to convert the .gif manual pix
# into postscript form for inclusion.

figs:	pix
	if [ ! -d figs ]; then mkdir figs; fi
	cd pix; \
	  for f in *.gif; do \
	    giftoppm $$f | ppmtopgm | pnmtops -scale .5 -rle > ../figs/`basename $$f .gif`.ps; \
	  done

geomview.dvi:	geomview.tex figs
	tex geomview.tex
	dviselect -i $@ -o gvtoc.dvi  =1,:_1
	dviselect -i $@ -o gvbody.dvi 2:
	dviconcat -o $@ gvtoc.dvi gvbody.dvi
	rm gvtoc.dvi gvbody.dvi

geomview.ps: geomview.dvi
	dvips -f geomview.dvi > $@

geomview.paged2.ps: geomview.dvi
	dvips -D432 -f geomview.dvi | mpage -2 -b -m .5 -P > $@

geomview.paged.ps: geomview.dvi
	dvips -D333 -f geomview.dvi | mpage -4 -b -m .5 -P > $@

info:	_always
	nodeupdater geomview.tex geomview.tex.new
	/bin/mv geomview.tex.new geomview.tex
	emacs -batch geomview.tex -l makeinfo.el -kill

_always:

# temporary target for copying into the distribution directories:

SGIDIR=/u/work/mbp/geomview-sgi
NEXTDIR=/u/work/mbp/geomview-next

BINDISTFILES=geomview geomview-* geomview.ps OOGL.m.doc example[123].c

html:
	texi2html -split_chapter geomview.tex

dist:
	/bin/cp ${BINDISTFILES} ${SGIDIR}/Geomview/doc
	/bin/cp ${BINDISTFILES} ${NEXTDIR}/Geomview.app/doc
	/bin/cp INSTALL.src ${GEOM}
	/bin/cp INSTALL.sgi ${SGIDIR}/Geomview/INSTALL
	/bin/cp INSTALL.next ${NEXTDIR}/INSTALL
	/bin/cp INSTALL.next ${NEXTDIR}/Geomview.app/INSTALL

manual-dist:
	(echo -C; echo ..; \
	 (cat FILES; \
	   echo geomview.ps geomview.dvi figs/*.ps | tr \\40 \\12) | \
	 sed -e 's:^:Geomview/doc/:')  | \
	gnutar cvfT - - | gzip > manual.tar.gz

=== makefiles/Makefile ===
GEOM = ..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makedefs.SUBDIRS

all rm_libs rm_depend install installh depend:
	@:

clobber:	clean rm_libs rm_depend

clean:
	-rm -f ${DIRT}

distclean:
	-rm -f ${DIRT} ${DISTDIRT}

include ${GEOM}/makefiles/Makerules.common

=== src/Makefile ===
GEOM = ..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makerules.src

=== tools/Makefile ===
GEOM = ..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makerules.src

=== data/speedtests/Makefile ===
# Running 'make' in this directory runs the tests.
# Some parameters can be tweaked, e.g.
#
#  make RATE=10  SIZE=400x400 
#
# Existing measurements are recorded in the file "speeds".
# If you make new measurements, let us know!
# Mail your results to software@geom.umn.edu.
#
# Geomview is available under ftp://geom.umn.edu/pub/software/geomview/
# or see the web pages at http://www.geom.umn.edu/software/geomview/

SHELL = /bin/sh

GEOMVIEW = geomview	# Program to run
DURATION = 20		# Test duration in seconds

# Report every ${RATE} steps.  Could use e.g. RATE = 20 on machines with
# fast graphics, to avoid printing numerous messages.
RATE = 10

# Window size in pixels
SIZE = 200x200

# The rawevent calls below are equivalent to typing "vs"; on SGI's,
# this puts the display in single-buffered mode, where possible.
# This prevents the frame rate from being limited by the screen refresh speed,
# since (on SGI's) buffer-switching in double-buffered mode is forced to wait
# for the next vertical retrace.

SINGLEBUFFER = (rawevent 118 0 0 0 0) (rawevent 115 0 0 0 0)
SETUP = "${SINGLEBUFFER} (transform-incr g0 g0 g0  rotate 0 6.28318 0 15)"

FINISH = "(sleep-for ${DURATION}) (exit)"

all:   intro polygon  matrix  tmesh

intro:
	@echo "Three tests follow.  Estimate speeds for each one by watching"
	@echo "the 'mean' column of the timing messages.  Watch for the times"
	@echo "to approach a constant value, ignoring any startup transient."
	@echo "Note: the computer should be idle while running this test."
	@echo "Conditions: ${SIZE} pixel window, reporting every ${RATE} frames."

polygon matrix tmesh:
	@REPORT=`awk 'BEGIN { N = ${RATE}; \
		for(i=0;i<10;i++) ord[i ""] = i+48; \
		for(i=1; i<=length(N); i++) \
		  print "(rawevent " ord[substr(N,i,1)] " 0 0 0 0)"; \
		print "(rawevent 20 0 0 0 0)"; \
		exit; }'`; \
	 echo "---- Running $@ test ---"; \
	 echo ${SETUP} "$${REPORT}" ${FINISH} | \
		${GEOMVIEW} -wpos ${SIZE}@200,200 -c - $@.oogl

geomview-speedtests.tar.Z: _always
	rm -f $@
	tar cf - Makefile speeds polygon.oogl matrix.oogl tmesh.oogl | \
		compress > $@

tar:	geomview-speedtests.tar.Z

_always:

=== src/bin/Makefile ===
GEOM = ../..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makerules.src

=== src/lib/Makefile ===
GEOM = ../..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makerules.src

=== src/bin/NDview_x/Makefile ===
GEOM = ../../..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs

include ${GEOM}/makefiles/Makerules.TKmodulesrc
include ${GEOM}/makefiles/Makerules.allsrc

install:	install_files

install_files:
	${INSTALL} -O -v -F ${GEOM}/data/NDview ${ND_SCRIPTS}
	${INSTALL} -O -v -F ${GEOM}/data/NDview ${ND_GEOM}
	${INSTALL} -O -v -F ${GEOM}/data/NDview ${ND_TEXT}

=== src/bin/addbbox/Makefile ===
GEOM = ../../..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makerules.src

=== src/bin/animate_next/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = animate

PROJECTVERSION = 1.1
LANGUAGE = English

LOCAL_RESOURCES = animate.nib

CLASSES = Controller.m

HFILES = Controller.h

MFILES = animate_main.m

OTHERSRCS = Makefile


MAKEFILEDIR = /NextDeveloper/Makefiles/app
INSTALLDIR = $(MODULEDIR)
INSTALLFLAGS = -c -s -m 755
SOURCEMODE = 444

ICONSECTIONS =	-sectcreate __ICON app /usr/lib/NextStep/Workspace.app/application.tiff

LIBS = -lMedia_s -lNeXT_s
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


-include Makefile.preamble

include $(MAKEFILEDIR)/app.make

-include Makefile.postamble

-include Makefile.dependencies

=== src/bin/cplxview/Makefile ===
GEOM = ../../..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makerules.FORMSmodulesrc

install:	install_help

install_help:
	${INSTALL} -O -v -F ${GEOM}/data/NDview/cplxview/text cplxhelp.txt

## geomview 1.9.5

=== debian/changelog ===
geomview (1.9.5-6) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Fix team name.

  [ Adrian Bunk ]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    Closes: #1096696.
  * Fix the build with 64-bit time_t on 32-bit instead of restricting
    the architectures.
  * Don't hardcode the build awk in gvclock. Closes: #1116397.

  [ Santiago Vila ]
  * Add Depends on sensible-utils, used by /usr/libexec/geomview/gvx.
  * Convert watch file to version 5 format.
  * Fix clean target. Closes: #1044804.
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Sep 2025 22:50:00 +0200

geomview (1.9.5-5) unstable; urgency=medium

  [ Steve Robbins ]
  * [be13c14] Install desktop icon
  * [594c6ac] Build on 64bits only.  Closes: #1088201.
  * [e2e9dcd] Fixes to remove lintian warnings
  * [740b0f9] remove executable bit

 -- Steve M. Robbins <smr@debian.org>  Mon, 25 Nov 2024 00:20:59 -0600

geomview (1.9.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062099

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:56:54 +0000

geomview (1.9.5-4) unstable; urgency=medium

  [ Steve Robbins ]
  * [3a43aa2] Remove geomview dependency on install-info.  Closes: #1013692
  * [8417b34] Update debhelper to compat level 13.  (Prep for upcoming patch to
    configure.ac)
  * [cec8859] Add patch from Helmut Grohne.  Closes: #1001124

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Oct 2022 18:33:51 -0500

geomview (1.9.5-3) unstable; urgency=medium

  [ Steven Robbins ]
  * Update texlive dependencies.  Add texlive-font-utils for epstopdf.
    Closes: #941523

 -- Steve M. Robbins <smr@debian.org>  Tue, 15 Oct 2019 23:15:12 -0500

geomview (1.9.5-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * source/format: 3.0 (quilt)
  * Drop menu file
  * Switch from cdbs to dh
  * Drop tetex-bin alternative from Build-Depends
  * Standards-Version: 4.1.3
  * hardening=+all
  * Do not compress PDF files
    Closes: #830301

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 09:42:20 +0100

geomview (1.9.5-1) unstable; urgency=medium

  * New upstream version.  Closes: #782017.
    - patches/01_glob-redirect.diff: Remove.  Applied upstream.
    - patches/02_info-nofigs.diff: Remove.  No longer applies.
    - patches/04_sprintf-string-literal.patch: Remove. Fixed upstream.

  * control, rules: use autoreconf to support newer architectures.  Closes: #744579, #765211.

  * patches/10_link-gvx-with-opengl.patch: New.  Link with -GL.

  * README.Debian: Document environment variables for HTML and PDF viewers.  Closes: #782346.

  * rules: configure with evince as fall-back PDF viewer.  Closes: #567772.

 -- Steve M. Robbins <smr@debian.org>  Sun, 07 Jun 2015 22:25:09 -0500

geomview (1.9.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * control: Add missing dependency for the dev package. (Closes: #715082)
  * control: Depend on alternative pdf-viewer. (Closes: #567772)
  * new patch 05_math2oogl_mayhem.patch (Closes: #716299)
  * new patch 06_oogl2rib_mayhem.patch (Closes: #716186)
  * new patch 07_oogl2vrml_mayhem.patch (Closes: #716183)
  * new patch 08_oogl2vrml2_mayhem.patch (Closes: #716180)
  * new patch 09_anytoucd_mayhem.patch (Closes: #715637)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 11 Aug 2013 14:26:47 +0200

geomview (1.9.4-4) unstable; urgency=low

  * control: Change lestif --> motif.  Closes: #714659.

  * watch: New, thanks Daniel Leidert.  Closes: #676986.

 -- Steve M. Robbins <smr@debian.org>  Mon, 01 Jul 2013 13:42:56 -0500

geomview (1.9.4-3) unstable; urgency=low

  * rules: Disable strict-aliasing.  Empty dependency_libs in .la file.

  * patches/04_sprintf-string-literal.patch: New.  Ensure format strings
    are literals.  Closes: #643382.

  * geomview.menu:
  * geomview.xpm: New.
  * Install menu and associated icon.

  * geomview.desktop: Fix categories, remove encoding.  Set icon to
    geomview.xpm path.  Closes: #466995.

 -- Steve M. Robbins <smr@debian.org>  Tue, 11 Oct 2011 23:07:15 -0500

geomview (1.9.4-2) unstable; urgency=low

  * geomview.desktop: Add category Education.
  * menu: Change to section "Applications/Science/Mathematics".  Thanks
    Petter Reinholdtsen.  Closes: #567625.

  * rules: Remove usage of obsolete dh_desktop.

  * control: Replace build-dep xutils --> xutils-dev (for imake).  Remove
    homepage from description.  Add dep on "dpkg (>= 1.15.4) |
    install-info" to geomview.  Set Standards-Version to 3.8.3.0.

  * doc-base: Change to section "Science/Mathematics".  Remove nonstandard
    texi files.

  * patches/03_hvectext-hashbang.diff: New.  Update script beginning to
    use standard "#!/usr/bin/perl".

 -- Steve M. Robbins <smr@debian.org>  Sat, 30 Jan 2010 10:56:50 -0600

geomview (1.9.4-1) unstable; urgency=low

  * New upstream.  Closes: #441431.

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Sep 2007 21:36:30 -0500

geomview (1.9.3-1) unstable; urgency=low

  * New upstream.  Closes: #395474, #432044.
    - Remove all debian/patches.
    - HTML document displays images properly.  Closes: #402040.

  * debian/control: New packages libgeomview-1.9.3, libgeomview-dev,
  required to build geomview modules.  Update standards version to
  3.7.2.2.

  * debian/patches/01_glob-redirect.diff: New.  Application segfaults on
    startup with 2>&- redirect.  Change to 2>&1.

  * debian/patches/02_info-nofigs.diff: New.  Don't install PNG figures
    into info dir.

 -- Steve M. Robbins <smr@debian.org>  Sat, 01 Sep 2007 00:17:08 -0500

geomview (1.8.1-16) unstable; urgency=low

  * debian/rules: Switch to cdbs.  Add -fno-strict-aliasing because the
    build emits many "dereferencing type-punned pointer will break
    strict-aliasing rules" warnings.

  * Move all patches to source into debian/patches.



=== debian/control ===
Source: geomview
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Section: math
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               dh-exec,
               bison,
               flex,
               zlib1g-dev,
               libmotif-dev,
               libgl-dev,
               freeglut3-dev,
               texlive-latex-base,
               xutils-dev,
               texinfo,
               texlive-plain-generic,
               texlive-fonts-recommended,
               texlive-font-utils
Build-Conflicts: libutahglx-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/geomview
Vcs-Git: https://salsa.debian.org/science-team/geomview.git
Homepage: http://www.geomview.org/

Package: geomview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         sensible-utils
Recommends: evince | pdf-viewer
Description: interactive geometry viewing program
 Geomview is interactive geometry software which is
 particularly appropriate for mathematics research and education.
 In particular, geomview can display things in hyperbolic and
 spherical space as well as Euclidean space.
 .
 Geomview allows multiple independently controllable objects and
 cameras.  It provides interactive control for motion, appearances
 (including lighting, shading, and materials), picking on an
 object, edge or vertex level, snapshots in SGI image file or
 Renderman RIB format, and adding or deleting objects is provided
 through direct mouse manipulation, control panels, and keyboard
 shortcuts.  External programs can drive desired aspects of the
 viewer (such as continually loading changing geometry or
 controlling the motion of certain objects) while allowing
 interactive control of everything else.

Package: libgeomview-1.9.5t64
Provides: ${t64:Provides}
Replaces: libgeomview-1.9.5
Breaks: libgeomview-1.9.5 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: geomview library runtime
 Geomview is interactive geometry software which is
 particularly appropriate for mathematics research and education.
 .
 OOGL is the Object Oriented Graphics Library, upon which Geomview is
 built.  This package provides the run-time OOGL library for geomview
 and its modules.

Package: libgeomview-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgeomview-1.9.5t64 (= ${binary:Version})
Description: geomview library development package
 Geomview is interactive geometry software which is
 particularly appropriate for mathematics research and education.
 .
 OOGL is the Object Oriented Graphics Library, upon which Geomview is
 built.  This package provides the development package for OOGL,
 required to build Geomview modules.

=== debian/rules ===
#! /usr/bin/make -f

CFLAGS += -fno-strict-aliasing -std=gnu17
CXXFLAGS += -fno-strict-aliasing

DEB_MAKE_INVOKE += moduledir=/usr/lib/geomview

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	AWK=awk dh_auto_configure -- --with-htmlbrowser=sensible-browser --with-pdfviewer=evince

override_dh_auto_build:
	$(MAKE) -C doc geomview.ps
	dh_auto_build

override_dh_install:
	rm -f debian/tmp/usr/share/info/dir
	sed -i "s/^dependency_libs=.*/dependency_libs=''/" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgeomview.la
	dh_install

override_dh_compress:
	dh_compress --exclude=.pdf

=== debian/watch ===
Version: 5

Source: https://sf.net/@PACKAGE@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
